## org.eclipse.jst.jsf.metadataprocessors.features
Interface IValidELValues

All Superinterfaces:
  IMetaDataEnabledFeature

All Known Implementing Classes:
  AbstractEnumerationType, ActionType, BooleanType, ColorType, ComponentBindingType, ComponentIDType, ContentType, CurrencyCodeType, DoubleType, EnumerationType, FacesConfigConverterIDFeatures, FacesConfigIdentifierFeatures, FacesConfigValidatorIDFeatures, IntegerType, LanguageCodeType, LengthType, LinkType, LocaleType, LongType, MethodBindingType, MultiSignatureEnumerationType, NumberType, StringType, TimeZoneType, ValueBindingType, ValueType

    public interface IValidELValues

extends IMetaDataEnabledFeature

An `IMetaDataEnabledFeature` for semantic validation of EL Values

Provisional API - subject to change

Method Summary
`org.eclipse.jst.jsf.common.internal.types.CompositeType` `getExpectedRuntimeType()` Expected runtime type for EL value

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Method Detail

### getExpectedRuntimeType

    org.eclipse.jst.jsf.common.internal.types.CompositeType getExpectedRuntimeType()
                                                                                   throws ELIsNotValidException

  Expected runtime type for EL value

  Returns:
    CompositeType
  Throws:
    `ELIsNotValidException`